Chromium Code Reviews
Help | Chromium Project | Sign in
(89)

Issue 11301006: automate more GL state handling (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 9 months ago by greggman
Modified:
2 years, 9 months ago
Reviewers:
apatrick_chromium
CC:
chromium-reviews, apatrick_chromium
Visibility:
Public.

Description

automate more GL state handling BUG=155557 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=164798

Patch Set 1 #

Total comments: 1

Patch Set 2 : #

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1638 lines, -807 lines) Patch
M gpu/command_buffer/build_gles2_cmd_buffer.py View 1 2 36 chunks +744 lines, -198 lines 0 comments Download
M gpu/command_buffer/client/gles2_implementation_unittest_autogen.h View 2 chunks +4 lines, -4 lines 0 comments Download
M gpu/command_buffer/common/gles2_cmd_utils_implementation_autogen.h View 5 chunks +48 lines, -41 lines 0 comments Download
M gpu/command_buffer/service/context_state.h View 1 2 3 chunks +9 lines, -72 lines 0 comments Download
M gpu/command_buffer/service/context_state.cc View 1 2 2 chunks +20 lines, -62 lines 0 comments Download
A gpu/command_buffer/service/context_state_autogen.h View 1 chunk +81 lines, -0 lines 0 comments Download
A gpu/command_buffer/service/context_state_impl_autogen.h View 1 2 1 chunk +130 lines, -0 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder.cc View 1 2 11 chunks +15 lines, -270 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder_autogen.h View 1 2 10 chunks +405 lines, -10 lines 0 comments Download
A gpu/command_buffer/service/gles2_cmd_decoder_unittest_0_autogen.h View 1 chunk +99 lines, -0 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder_unittest_1_autogen.h View 2 chunks +4 lines, -4 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder_unittest_2_autogen.h View 2 chunks +3 lines, -3 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder_unittest_base.h View 1 chunk +4 lines, -0 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder_unittest_base.cc View 4 chunks +21 lines, -102 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_validation_implementation_autogen.h View 5 chunks +48 lines, -41 lines 0 comments Download
M gpu/command_buffer_service.gypi View 1 chunk +2 lines, -0 lines 0 comments Download
M gpu/gpu.gyp View 1 chunk +1 line, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 5 (0 generated)
greggman
Hey Al, PTAL I figured given the number of places you have to remember to ...
2 years, 9 months ago (2012-10-27 18:11:38 UTC) #1
apatrick_chromium
lgtm https://codereview.chromium.org/11301006/diff/1/gpu/command_buffer/service/gles2_cmd_decoder.cc File gpu/command_buffer/service/gles2_cmd_decoder.cc (right): https://codereview.chromium.org/11301006/diff/1/gpu/command_buffer/service/gles2_cmd_decoder.cc#newcode980 gpu/command_buffer/service/gles2_cmd_decoder.cc:980: // Same as GetHealper except for auto-generated state. ...
2 years, 9 months ago (2012-10-29 19:50:03 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gman@chromium.org/11301006/8003
2 years, 9 months ago (2012-10-29 19:55:09 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gman@chromium.org/11301006/1038
2 years, 9 months ago (2012-10-29 20:56:39 UTC) #4
commit-bot: I haz the power
2 years, 9 months ago (2012-10-30 00:35:25 UTC) #5
Change committed as 164798
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 5fa3ca5